libXcursor-1.1.15-alt1.S1.x86_64.rpm


Advertisement

Description

libXcursor - X Cursor Library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libXcursor
Package version 1.1.15
Package release alt1.S1
Package architecture x86_64
Package type rpm
Installed size 42.70 KB
Download size 42.70 KB
Official Mirror ftp.altlinux.org
X Cursor Library

Alternatives

Package Version Architecture Repository
libXcursor-1.1.15-alt1.S1.i586.rpm 1.1.15 i586 Classic
libXcursor - - -

Requires

Name Value
libX11.so.6()(64bit) -
libXfixes.so.3()(64bit) -
libXrender.so.1()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libXcursor = 1.1.15-alt1.S1
libXcursor.so.1()(64bit) -

Download

Type URL
Binary Package libXcursor-1.1.15-alt1.S1.x86_64.rpm
Source Package libXcursor-1.1.15-alt1.S1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libXcursor rpm package:
    # sudo apt-get install libXcursor

Files

Path
/usr/lib64/libXcursor.so.1
/usr/lib64/libXcursor.so.1.0.2

Changelog

2017-12-04 - Valery Inozemtsev <shrek@altlinux.ru> 1.1.15-alt1.S1
- fixes:
+ CVE-2017-16612 Fix heap overflows when parsing malicious files
2013-05-30 - Valery Inozemtsev <shrek@altlinux.ru> 1.1.14-alt1
- 1.1.14
2012-03-08 - Valery Inozemtsev <shrek@altlinux.ru> 1.1.13-alt1
- 1.1.13
2011-06-30 - Valery Inozemtsev <shrek@altlinux.ru> 1.1.12-alt1
- 1.1.12
2011-02-28 - Alexey Tourbin <at@altlinux.ru> 1.1.11-alt4
- rebuilt for pkgconfig
2011-02-08 - Alexey Tourbin <at@altlinux.ru> 1.1.11-alt3
- rebuilt for debuginfo
2010-11-02 - Valery Inozemtsev <shrek@altlinux.ru> 1.1.11-alt2
- devel: fixed pkg-config requires
2010-10-28 - Valery Inozemtsev <shrek@altlinux.ru> 1.1.11-alt1
- 1.1.11
2009-08-28 - Valery Inozemtsev <shrek@altlinux.ru> 1.1.10-alt1
- 1.1.10
2008-11-23 - Valery Inozemtsev <shrek@altlinux.ru> 1.1.9-alt2
- removed obsolete %post_ldconfig/%postun_ldconfig calls

See Also

Package Description
libXcursor-devel-1.1.15-alt1.S1.x86_64.rpm X Cursor Library and Header Files
libXdamage-1.1.3-alt4.x86_64.rpm X Damage Library
libXdamage-devel-1.1.3-alt4.x86_64.rpm X Damage Library and Header Files
libXdmcp-1.1.1-alt1.x86_64.rpm Xdmcp Library
libXdmcp-devel-1.1.1-alt1.x86_64.rpm Xau Libraries and Header Files
libXevie-1.0.3-alt1.qa1.x86_64.rpm X Event Interceptor Library
libXevie-devel-1.0.3-alt1.qa1.x86_64.rpm X Event Interceptor Library and Header Files
libXext-1.3.3-alt1.x86_64.rpm Misc X Extension Library
libXext-devel-1.3.3-alt1.x86_64.rpm Misc X Extension Library and Header Files
libXfixes-5.0.3-alt1.x86_64.rpm X Fixes Library
libXfixes-devel-5.0.3-alt1.x86_64.rpm X Fixes Library and Header Files
libXfont-1.5.4-alt1.S1.x86_64.rpm X.Org libXfont runtime library
libXfont-devel-1.5.4-alt1.S1.x86_64.rpm X.Org libXfont development package
libXfont2-2.0.3-alt1.S1.x86_64.rpm X.Org libXfont runtime library
libXfont2-devel-2.0.3-alt1.S1.x86_64.rpm X.Org libXfont development package
Advertisement
Advertisement